<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: UART Exported Constants</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">UART Exported Constants<div class="ingroups"><a class="el" href="../../da/d7c/group___m_i_n_i51___device___driver.html">MINI51 Device Driver</a> &raquo; <a class="el" href="../../dd/d10/group___m_i_n_i51___u_a_r_t___driver.html">UART Driver</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for UART Exported Constants:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.png" border="0" usemap="#ad8_2d9f_2group______m__i__n__i51______u__a__r__t______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" alt=""/></div>
<map name="ad8_2d9f_2group______m__i__n__i51______u__a__r__t______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" id="ad8_2d9f_2group______m__i__n__i51______u__a__r__t______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s">
<area shape="rect" href="../../dd/d10/group___m_i_n_i51___u_a_r_t___driver.html" title=" " alt="" coords="5,5,97,31"/>
<area shape="rect" title=" " alt="" coords="145,5,320,31"/>
<area shape="rect" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html" title=" " alt="" coords="368,5,541,31"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html">UART Exported Functions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gafc2b593120692151bdafe37030fe6c41"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafc2b593120692151bdafe37030fe6c41">UART_FCR_RFITL_1BYTE</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a7d3a9fb5ee2886e3b4605841cfa48bed">UART_FCR_RFITL_Pos</a>)</td></tr>
<tr class="separator:gafc2b593120692151bdafe37030fe6c41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae1e322c28cf2a2feb8c709e131560866"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae1e322c28cf2a2feb8c709e131560866">UART_FCR_RFITL_4BYTES</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a7d3a9fb5ee2886e3b4605841cfa48bed">UART_FCR_RFITL_Pos</a>)</td></tr>
<tr class="separator:gae1e322c28cf2a2feb8c709e131560866"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa499398a4bf3da4269a525af6ee77288"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa499398a4bf3da4269a525af6ee77288">UART_FCR_RFITL_8BYTES</a>&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a7d3a9fb5ee2886e3b4605841cfa48bed">UART_FCR_RFITL_Pos</a>)</td></tr>
<tr class="separator:gaa499398a4bf3da4269a525af6ee77288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga615add428562ccf56a1039742510cd29"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga615add428562ccf56a1039742510cd29">UART_FCR_RFITL_14BYTES</a>&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a7d3a9fb5ee2886e3b4605841cfa48bed">UART_FCR_RFITL_Pos</a>)</td></tr>
<tr class="separator:ga615add428562ccf56a1039742510cd29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9cbecab2f6dd0ac2f5047d433479eefe"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9cbecab2f6dd0ac2f5047d433479eefe">UART_FCR_RTS_TRI_LEV_1BYTE</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a6afe62a15e96fcfdf81190cf0931c454">UART_FCR_RTS_TRI_LEV_Pos</a>)</td></tr>
<tr class="separator:ga9cbecab2f6dd0ac2f5047d433479eefe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga592f52764a075b5e0708db3ab10bad41"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga592f52764a075b5e0708db3ab10bad41">UART_FCR_RTS_TRI_LEV_4BYTES</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a6afe62a15e96fcfdf81190cf0931c454">UART_FCR_RTS_TRI_LEV_Pos</a>)</td></tr>
<tr class="separator:ga592f52764a075b5e0708db3ab10bad41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae954d95d1380b3882c502ad3e72c0b1e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae954d95d1380b3882c502ad3e72c0b1e">UART_FCR_RTS_TRI_LEV_8BYTES</a>&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a6afe62a15e96fcfdf81190cf0931c454">UART_FCR_RTS_TRI_LEV_Pos</a>)</td></tr>
<tr class="separator:gae954d95d1380b3882c502ad3e72c0b1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaae1035107ea5b0fbde57233aaf32fe49"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae1035107ea5b0fbde57233aaf32fe49">UART_FCR_RTS_TRI_LEV_14BYTES</a>&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a6afe62a15e96fcfdf81190cf0931c454">UART_FCR_RTS_TRI_LEV_Pos</a>)</td></tr>
<tr class="separator:gaae1035107ea5b0fbde57233aaf32fe49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga26c5e8b712a0a1db254ec39b7e7fff89"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga26c5e8b712a0a1db254ec39b7e7fff89">UART_WORD_LEN_5</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="separator:ga26c5e8b712a0a1db254ec39b7e7fff89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1774a8b00bf1193f4e3d124af968ab9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf1774a8b00bf1193f4e3d124af968ab9">UART_WORD_LEN_6</a>&#160;&#160;&#160;(1)</td></tr>
<tr class="separator:gaf1774a8b00bf1193f4e3d124af968ab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa05951c6ae838f19a4adad48172bd9db"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa05951c6ae838f19a4adad48172bd9db">UART_WORD_LEN_7</a>&#160;&#160;&#160;(2)</td></tr>
<tr class="separator:gaa05951c6ae838f19a4adad48172bd9db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga861ae53255163bf7cd2d80d913cebb1d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga861ae53255163bf7cd2d80d913cebb1d">UART_WORD_LEN_8</a>&#160;&#160;&#160;(3)</td></tr>
<tr class="separator:ga861ae53255163bf7cd2d80d913cebb1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga270dea6e1a92dd83fe58802450bdd60c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga270dea6e1a92dd83fe58802450bdd60c">UART_PARITY_NONE</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#abfc9e6d1f3970162d76200cc7f52d8b6">UART_LCR_PBE_Pos</a>)</td></tr>
<tr class="separator:ga270dea6e1a92dd83fe58802450bdd60c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga229615e64964f68f7a856ea6ffea359e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga229615e64964f68f7a856ea6ffea359e">UART_PARITY_ODD</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#abfc9e6d1f3970162d76200cc7f52d8b6">UART_LCR_PBE_Pos</a>)</td></tr>
<tr class="separator:ga229615e64964f68f7a856ea6ffea359e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga063b14ac42ef9e8f4246c17a586b14eb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga063b14ac42ef9e8f4246c17a586b14eb">UART_PARITY_EVEN</a>&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#abfc9e6d1f3970162d76200cc7f52d8b6">UART_LCR_PBE_Pos</a>)</td></tr>
<tr class="separator:ga063b14ac42ef9e8f4246c17a586b14eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8cb7d86a9ed87158677314c01f358cb6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8cb7d86a9ed87158677314c01f358cb6">UART_PARITY_MARK</a>&#160;&#160;&#160;(0x5 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#abfc9e6d1f3970162d76200cc7f52d8b6">UART_LCR_PBE_Pos</a>)</td></tr>
<tr class="separator:ga8cb7d86a9ed87158677314c01f358cb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga306c559681a17e95516d3a3f2f8533bb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga306c559681a17e95516d3a3f2f8533bb">UART_PARITY_SPACE</a>&#160;&#160;&#160;(0x7 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#abfc9e6d1f3970162d76200cc7f52d8b6">UART_LCR_PBE_Pos</a>)</td></tr>
<tr class="separator:ga306c559681a17e95516d3a3f2f8533bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58e87dcac022388ad406eb83031777db"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga58e87dcac022388ad406eb83031777db">UART_STOP_BIT_1</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a82321789f8e84724ca6dcbdecb0af3cc">UART_LCR_NSB_Pos</a>)</td></tr>
<tr class="separator:ga58e87dcac022388ad406eb83031777db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab3aede405f7c8862476bfbd798997e81"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab3aede405f7c8862476bfbd798997e81">UART_STOP_BIT_1_5</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a82321789f8e84724ca6dcbdecb0af3cc">UART_LCR_NSB_Pos</a>)</td></tr>
<tr class="separator:gab3aede405f7c8862476bfbd798997e81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac4d9bc854560827e6f6cbfe23389674a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac4d9bc854560827e6f6cbfe23389674a">UART_STOP_BIT_2</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a82321789f8e84724ca6dcbdecb0af3cc">UART_LCR_NSB_Pos</a>)</td></tr>
<tr class="separator:gac4d9bc854560827e6f6cbfe23389674a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf6092e01dd538b74460bf0a48d774882"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf6092e01dd538b74460bf0a48d774882">UART_RTS_IS_HIGH_LEV_TRG</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a6c8eb56cb1571f10f2e27babb8653f03">UART_MCR_LEV_RTS_Pos</a>)</td></tr>
<tr class="separator:gaf6092e01dd538b74460bf0a48d774882"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae396db460cc40325e6ff48e101a12fa7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae396db460cc40325e6ff48e101a12fa7">UART_RTS_IS_LOW_LEV_TRG</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a6c8eb56cb1571f10f2e27babb8653f03">UART_MCR_LEV_RTS_Pos</a>)</td></tr>
<tr class="separator:gae396db460cc40325e6ff48e101a12fa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac756ade4c2a338617e80a2fed0ef0049"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac756ade4c2a338617e80a2fed0ef0049">UART_FUNC_SEL_UART</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td></tr>
<tr class="separator:gac756ade4c2a338617e80a2fed0ef0049"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacd1f648a26d73fd1f47341109cc2278b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacd1f648a26d73fd1f47341109cc2278b">UART_FUNC_SEL_IrDA</a>&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td></tr>
<tr class="separator:gacd1f648a26d73fd1f47341109cc2278b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4d52ef14ffe0c22f147f339f0a46e1e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae4d52ef14ffe0c22f147f339f0a46e1e">UART_FUNC_SEL_RS485</a>&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td></tr>
<tr class="separator:gae4d52ef14ffe0c22f147f339f0a46e1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga615add428562ccf56a1039742510cd29" name="ga615add428562ccf56a1039742510cd29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga615add428562ccf56a1039742510cd29">&#9670;&nbsp;</a></span>UART_FCR_RFITL_14BYTES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FCR_RFITL_14BYTES&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a7d3a9fb5ee2886e3b4605841cfa48bed">UART_FCR_RFITL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_FCR setting to set RX FIFO Trigger Level to 14 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00040">40</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gafc2b593120692151bdafe37030fe6c41" name="gafc2b593120692151bdafe37030fe6c41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafc2b593120692151bdafe37030fe6c41">&#9670;&nbsp;</a></span>UART_FCR_RFITL_1BYTE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FCR_RFITL_1BYTE&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a7d3a9fb5ee2886e3b4605841cfa48bed">UART_FCR_RFITL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_FCR setting to set RX FIFO Trigger Level to 1 bit </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00037">37</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gae1e322c28cf2a2feb8c709e131560866" name="gae1e322c28cf2a2feb8c709e131560866"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae1e322c28cf2a2feb8c709e131560866">&#9670;&nbsp;</a></span>UART_FCR_RFITL_4BYTES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FCR_RFITL_4BYTES&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a7d3a9fb5ee2886e3b4605841cfa48bed">UART_FCR_RFITL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_FCR setting to set RX FIFO Trigger Level to 4 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00038">38</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gaa499398a4bf3da4269a525af6ee77288" name="gaa499398a4bf3da4269a525af6ee77288"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa499398a4bf3da4269a525af6ee77288">&#9670;&nbsp;</a></span>UART_FCR_RFITL_8BYTES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FCR_RFITL_8BYTES&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a7d3a9fb5ee2886e3b4605841cfa48bed">UART_FCR_RFITL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_FCR setting to set RX FIFO Trigger Level to 8 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00039">39</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gaae1035107ea5b0fbde57233aaf32fe49" name="gaae1035107ea5b0fbde57233aaf32fe49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaae1035107ea5b0fbde57233aaf32fe49">&#9670;&nbsp;</a></span>UART_FCR_RTS_TRI_LEV_14BYTES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FCR_RTS_TRI_LEV_14BYTES&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a6afe62a15e96fcfdf81190cf0931c454">UART_FCR_RTS_TRI_LEV_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_FCR setting to set RTS Trigger Level to 14 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00045">45</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga9cbecab2f6dd0ac2f5047d433479eefe" name="ga9cbecab2f6dd0ac2f5047d433479eefe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9cbecab2f6dd0ac2f5047d433479eefe">&#9670;&nbsp;</a></span>UART_FCR_RTS_TRI_LEV_1BYTE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FCR_RTS_TRI_LEV_1BYTE&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a6afe62a15e96fcfdf81190cf0931c454">UART_FCR_RTS_TRI_LEV_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_FCR setting to set RTS Trigger Level to 1 bit </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00042">42</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga592f52764a075b5e0708db3ab10bad41" name="ga592f52764a075b5e0708db3ab10bad41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga592f52764a075b5e0708db3ab10bad41">&#9670;&nbsp;</a></span>UART_FCR_RTS_TRI_LEV_4BYTES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FCR_RTS_TRI_LEV_4BYTES&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a6afe62a15e96fcfdf81190cf0931c454">UART_FCR_RTS_TRI_LEV_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_FCR setting to set RTS Trigger Level to 4 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00043">43</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gae954d95d1380b3882c502ad3e72c0b1e" name="gae954d95d1380b3882c502ad3e72c0b1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae954d95d1380b3882c502ad3e72c0b1e">&#9670;&nbsp;</a></span>UART_FCR_RTS_TRI_LEV_8BYTES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FCR_RTS_TRI_LEV_8BYTES&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a6afe62a15e96fcfdf81190cf0931c454">UART_FCR_RTS_TRI_LEV_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_FCR setting to set RTS Trigger Level to 8 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00044">44</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gacd1f648a26d73fd1f47341109cc2278b" name="gacd1f648a26d73fd1f47341109cc2278b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacd1f648a26d73fd1f47341109cc2278b">&#9670;&nbsp;</a></span>UART_FUNC_SEL_IrDA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FUNC_SEL_IrDA&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_FUNC_SEL setting to set IrDA Function <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00076">76</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gae4d52ef14ffe0c22f147f339f0a46e1e" name="gae4d52ef14ffe0c22f147f339f0a46e1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae4d52ef14ffe0c22f147f339f0a46e1e">&#9670;&nbsp;</a></span>UART_FUNC_SEL_RS485</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FUNC_SEL_RS485&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_FUNC_SEL setting to set RS485 Function <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00077">77</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gac756ade4c2a338617e80a2fed0ef0049" name="gac756ade4c2a338617e80a2fed0ef0049"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac756ade4c2a338617e80a2fed0ef0049">&#9670;&nbsp;</a></span>UART_FUNC_SEL_UART</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FUNC_SEL_UART&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_FUNC_SEL setting to set UART Function (Default) </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00075">75</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga063b14ac42ef9e8f4246c17a586b14eb" name="ga063b14ac42ef9e8f4246c17a586b14eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga063b14ac42ef9e8f4246c17a586b14eb">&#9670;&nbsp;</a></span>UART_PARITY_EVEN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_PARITY_EVEN&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#abfc9e6d1f3970162d76200cc7f52d8b6">UART_LCR_PBE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_LCR setting to set UART as even parity </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00057">57</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga8cb7d86a9ed87158677314c01f358cb6" name="ga8cb7d86a9ed87158677314c01f358cb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8cb7d86a9ed87158677314c01f358cb6">&#9670;&nbsp;</a></span>UART_PARITY_MARK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_PARITY_MARK&#160;&#160;&#160;(0x5 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#abfc9e6d1f3970162d76200cc7f52d8b6">UART_LCR_PBE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_LCR setting to keep parity bit as '1' <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00058">58</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga270dea6e1a92dd83fe58802450bdd60c" name="ga270dea6e1a92dd83fe58802450bdd60c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga270dea6e1a92dd83fe58802450bdd60c">&#9670;&nbsp;</a></span>UART_PARITY_NONE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_PARITY_NONE&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#abfc9e6d1f3970162d76200cc7f52d8b6">UART_LCR_PBE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_LCR setting to set UART as no parity <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00055">55</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga229615e64964f68f7a856ea6ffea359e" name="ga229615e64964f68f7a856ea6ffea359e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga229615e64964f68f7a856ea6ffea359e">&#9670;&nbsp;</a></span>UART_PARITY_ODD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_PARITY_ODD&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#abfc9e6d1f3970162d76200cc7f52d8b6">UART_LCR_PBE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_LCR setting to set UART as odd parity <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00056">56</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga306c559681a17e95516d3a3f2f8533bb" name="ga306c559681a17e95516d3a3f2f8533bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga306c559681a17e95516d3a3f2f8533bb">&#9670;&nbsp;</a></span>UART_PARITY_SPACE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_PARITY_SPACE&#160;&#160;&#160;(0x7 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#abfc9e6d1f3970162d76200cc7f52d8b6">UART_LCR_PBE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_LCR setting to keep parity bit as '0' <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00059">59</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gaf6092e01dd538b74460bf0a48d774882" name="gaf6092e01dd538b74460bf0a48d774882"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf6092e01dd538b74460bf0a48d774882">&#9670;&nbsp;</a></span>UART_RTS_IS_HIGH_LEV_TRG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_RTS_IS_HIGH_LEV_TRG&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a6c8eb56cb1571f10f2e27babb8653f03">UART_MCR_LEV_RTS_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set RTS is High Level Trigger <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00069">69</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gae396db460cc40325e6ff48e101a12fa7" name="gae396db460cc40325e6ff48e101a12fa7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae396db460cc40325e6ff48e101a12fa7">&#9670;&nbsp;</a></span>UART_RTS_IS_LOW_LEV_TRG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_RTS_IS_LOW_LEV_TRG&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a6c8eb56cb1571f10f2e27babb8653f03">UART_MCR_LEV_RTS_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set RTS is Low Level Trigger <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00070">70</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga58e87dcac022388ad406eb83031777db" name="ga58e87dcac022388ad406eb83031777db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga58e87dcac022388ad406eb83031777db">&#9670;&nbsp;</a></span>UART_STOP_BIT_1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_STOP_BIT_1&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a82321789f8e84724ca6dcbdecb0af3cc">UART_LCR_NSB_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_LCR setting for one stop bit <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00061">61</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gab3aede405f7c8862476bfbd798997e81" name="gab3aede405f7c8862476bfbd798997e81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab3aede405f7c8862476bfbd798997e81">&#9670;&nbsp;</a></span>UART_STOP_BIT_1_5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_STOP_BIT_1_5&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a82321789f8e84724ca6dcbdecb0af3cc">UART_LCR_NSB_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_LCR setting for 1.5 stop bit when 5-bit word length <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00062">62</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gac4d9bc854560827e6f6cbfe23389674a" name="gac4d9bc854560827e6f6cbfe23389674a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac4d9bc854560827e6f6cbfe23389674a">&#9670;&nbsp;</a></span>UART_STOP_BIT_2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_STOP_BIT_2&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a82321789f8e84724ca6dcbdecb0af3cc">UART_LCR_NSB_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_LCR setting for two stop bit when 6, 7, 8-bit word length </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00063">63</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga26c5e8b712a0a1db254ec39b7e7fff89" name="ga26c5e8b712a0a1db254ec39b7e7fff89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga26c5e8b712a0a1db254ec39b7e7fff89">&#9670;&nbsp;</a></span>UART_WORD_LEN_5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_WORD_LEN_5&#160;&#160;&#160;(0)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_LCR setting to set UART word length to 5 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00050">50</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gaf1774a8b00bf1193f4e3d124af968ab9" name="gaf1774a8b00bf1193f4e3d124af968ab9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf1774a8b00bf1193f4e3d124af968ab9">&#9670;&nbsp;</a></span>UART_WORD_LEN_6</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_WORD_LEN_6&#160;&#160;&#160;(1)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_LCR setting to set UART word length to 6 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00051">51</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gaa05951c6ae838f19a4adad48172bd9db" name="gaa05951c6ae838f19a4adad48172bd9db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa05951c6ae838f19a4adad48172bd9db">&#9670;&nbsp;</a></span>UART_WORD_LEN_7</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_WORD_LEN_7&#160;&#160;&#160;(2)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_LCR setting to set UART word length to 7 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00052">52</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga861ae53255163bf7cd2d80d913cebb1d" name="ga861ae53255163bf7cd2d80d913cebb1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga861ae53255163bf7cd2d80d913cebb1d">&#9670;&nbsp;</a></span>UART_WORD_LEN_8</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_WORD_LEN_8&#160;&#160;&#160;(3)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UA_LCR setting to set UART word length to 8 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00053">53</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:40 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
